aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2001-02-06 16:59:04 +0000
committerBill Nottingham <notting@redhat.com>2001-02-06 16:59:04 +0000
commit44357039033cc9f3564e99ec853fe5154aec584f (patch)
treee8f6fad8e4bb4f91e1d15cf5b57a920355e84ce5
parenta313ddf0270e55f246c8b0cf51f5ee8a2cc10572 (diff)
downloadinitscripts-44357039033cc9f3564e99ec853fe5154aec584f.tar
initscripts-44357039033cc9f3564e99ec853fe5154aec584f.tar.gz
initscripts-44357039033cc9f3564e99ec853fe5154aec584f.tar.bz2
initscripts-44357039033cc9f3564e99ec853fe5154aec584f.tar.xz
initscripts-44357039033cc9f3564e99ec853fe5154aec584f.zip
do USB initialization even if we don't need to load a host-controller module (#26318)
-rwxr-xr-xrc.d/rc.sysinit4
1 files changed, 4 insertions, 0 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 4db49d31..09ee73ba 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -161,6 +161,10 @@ if ! grep -iq "nousb" /proc/cmdline 2>/dev/null && ! grep -q "usb" /proc/devices
fi
fi
+if ! grep -iq "nousb" /proc/cmdline 2>/dev/null && grep -q "usb" /proc/devices 2>/dev/null ; then
+ usb=1
+fi
+
if [ $usb = "1" ]; then
sleep 5
action $"Mounting USB filesystem: " mount -t usbdevfs usbdevfs /proc/bus/usb